EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000190easycwmp[All Projects] Generalpublic2016-12-18 10:012017-01-27 15:54
ReporterAjay 
Assigned Tomohamed.kallel 
PriorityimmediateSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformRaspberry pi 3 (bcm2710)OSopenwrt imageOS Version
Summary0000190: Not able build easycwmp-1.4.1 into openwrt image
DescriptionNot able build easycwmp into openwrt build system. Enabled package in menuconfig and attempted to compile full build

Installed libmicroxml and libubox latest version.

Following is the compilation error:

make[2]: Leaving directory `/home/admin/pi3/openwrt/package/system/uci'
make[2]: Entering directory `/home/admin/pi3/openwrt/package/easycwmp'
CFLAGS="-Os -pipe -march=armv8-a -mtune=cortex-a53 -mfpu=neon-vfpv4 -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=hard -iremap /home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1:easycwmp-1.4.1 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -D_GNU_SOURCE -I/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/usr/include -I/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/include -I/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/usr/include -I/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/include/fortify -I/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/include " CXXFLAGS="-Os -pipe -march=armv8-a -mtune=cortex-a53 -mfpu=neon-vfpv4 -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=hard -iremap /home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1:easycwmp-1.4.1 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -D_GNU_SOURCE -I/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/usr/include -I/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/include -I/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/usr/include -I/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/include/fortify -I/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/include " LDFLAGS="-L/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/usr/lib -L/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/lib -L/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/usr/lib -L/home/admin/pi3/openwrt/staging_dir/toolchain-arm_cortex-a53+neon-vfpv4_gcc-5.3.0_musl-1.1.15_eabi/lib -znow -zrelro -Wl,-rpath-link=/home/admin/pi3/openwrt/staging_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/usr/lib " make -j1 -C /home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1/. AR="arm-openwrt-linux-muslgnueabi-gcc-ar" AS="arm-openwrt-linux-muslgnueabi-gcc -c -Os -pipe -march=armv8-a -mtune=cortex-a53 -mfpu=neon-vfpv4 -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=hard -iremap /home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1:easycwmp-1.4.1 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -D_GNU_SOURCE" LD=arm-openwrt-linux-muslgnueabi-ld NM="arm-openwrt-linux-muslgnueabi-gcc-nm" CC="arm-openwrt-linux-muslgnueabi-gcc" GCC="arm-openwrt-linux-muslgnueabi-gcc" CXX="arm-openwrt-linux-muslgnueabi-g++" RANLIB="arm-openwrt-linux-muslgnueabi-gcc-ranlib" STRIP=arm-openwrt-linux-muslgnueabi-strip OBJCOPY=arm-openwrt-linux-muslgnueabi-objcopy OBJDUMP=arm-openwrt-linux-muslgnueabi-objdump SIZE=arm-openwrt-linux-muslgnueabi-size CROSS="arm-openwrt-linux-muslgnueabi-" ARCH="arm" ;
make[3]: Entering directory `/home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1'
make[3]: *** No targets specified and no makefile found. Stop.
make[3]: Leaving directory `/home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1'
make[2]: *** [/home/admin/pi3/openwrt/build_dir/target-arm_cortex-a53+neon-vfpv4_musl-1.1.15_eabi/easycwmp/easycwmp-1.4.1/.built] Error 2
make[2]: Leaving directory `/home/admin/pi3/openwrt/package/easycwmp'
make[1]: *** [package/easycwmp/compile] Error 2
make[1]: Leaving directory `/home/admin/pi3/openwrt'
make: *** [package/easycwmp/compile] Error 2
Steps To Reproduce1) Downloaded easycwmp-openwrt package version 1.4.1 and un-tar it in openwrt/package directory.

2) Go to openwrt directory and do make menuconfig.

3) Enabled easycwmp in menuconfig as built-in

4) Compile openwrt image as make V=99

5) Compilation stops with error "No targets specified and no makefile found"
Additional InformationInside build_dir/targets/easycwmp 2 directories are found

1) easycwmp-1.4.1 -- > empty

2) easycwmp-EasyCwmp-1.4.1 --> following files found:

AUTHORS bin ChangeLog configure.ac COPYING ext Makefile.am NEWS README src

copying files from easycwmp-EasyCwmp-1.4.1 to easycwmp-1.4.1 didn't solve the problem
TagsNo tags attached.
Attached Filespng file icon latest.png [^] (346,852 bytes) 2016-12-18 10:01

- Relationships

-  Notes
(0000604)
scramatte2 (reporter)
2016-12-28 10:22

Same issue here. I'm unable to build EasyCWMP with the Openwrt 15.x
Regards
(0000615)
mohamed.kallel (manager)
2017-01-27 15:54

the issue was in the download web page, fixed

- Issue History
Date Modified Username Field Change
2016-12-18 10:01 Ajay New Issue
2016-12-18 10:01 Ajay File Added: latest.png
2016-12-28 10:22 scramatte2 Note Added: 0000604
2017-01-27 15:54 mohamed.kallel Note Added: 0000615
2017-01-27 15:54 mohamed.kallel Status new => resolved
2017-01-27 15:54 mohamed.kallel Resolution open => fixed
2017-01-27 15:54 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker